/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports
curl --request GET \
--url https://api.criteo.com/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"componentId": "<string>",
"duration": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"ingestionStatus": "inProgress",
"ingestionType": "catalogImport",
"merchantId": "<string>",
"multiSourceReportingStatus": "notEnabled",
"startTime": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"meta": {
"limit": 123,
"offset": 123,
"totalCount": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports
List the catalog ingestions of a merchant, most recent first, with their type, status and timing.
GET
/
experimental
/
retail-media
/
catalog
/
merchants
/
{merchant-id}
/
ingestion
/
reports
/experimental/retail-media/catalog/merchants/{merchant-id}/ingestion/reports
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identifies the merchant whose catalog ingestions are reported.
Query Parameters
Maximum number of ingestion reports returned in the page.
Required range:
1 <= x <= 100Index of the first ingestion report of the page, used to page through the collection.
Response
200 - application/json
object | null
The page of catalog ingestion reports.
Paginated response holding the catalog ingestion reports of a merchant.
Resource holding the basic information of a catalog ingestion.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pagination applied to the returned collection.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?